## ode 0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(ODE)

include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CMakeDependentOption)
include(GNUInstallDirs)

set(VERSION_MAJOR 0)
set(VERSION_MINOR 16)
set(VERSION_PATCH 0)
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

option(BUILD_SHARED_LIBS "Build shared libraries." ON)
option(ODE_16BIT_INDICES "Use 16-bit indices for trimeshes (default is 32-bit)." OFF)
option(ODE_NO_BUILTIN_THREADING_IMPL "Disable built-in multithreaded threading implementation." OFF)
option(ODE_NO_THREADING_INTF "Disable threading interface support (external implementations cannot be assigned." OFF)
option(ODE_OLD_TRIMESH "Use old OPCODE trimesh-trimesh collider." OFF)
option(ODE_WITH_DEMOS "Builds the demo applications and DrawStuff library." ON)
option(ODE_WITH_GIMPACT "Use GIMPACT for trimesh collisions (experimental)." OFF)
option(ODE_WITH_LIBCCD "Use libccd for handling some collision tests absent in ODE." OFF)
option(ODE_WITH_OPCODE "Use old OPCODE trimesh-trimesh collider." ON)
option(ODE_WITH_OU "Use TLS for global caches (allows threaded collision checks for separated spaces)." OFF)
option(ODE_WITH_TESTS "Builds the unit test application." ON)

cmake_dependent_option(ODE_WITH_LIBCCD_BOX_CYL "Use libccd for box-cylinder." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CAP_CYL "Use libccd for capsule-cylinder." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CYL_CYL "Use libccd for cylinder-cylinder." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CONVEX_BOX "Use libccd for convex-box." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CONVEX_CAP "Use libccd for convex-capsule." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CONVEX_CONVEX "Use libccd for convex-convex." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CONVEX_CYL "Use libccd for convex-cylinder." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_CONVEX_SPHERE "Use libccd for convex-sphere." ON "ODE_WITH_LIBCCD" OFF)
cmake_dependent_option(ODE_WITH_LIBCCD_SYSTEM "Use system libccd." OFF "ODE_WITH_LIBCCD" OFF)

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
	option(ODE_DOUBLE_PRECISION "Use double-precision math." OFF)
else()
	option(ODE_DOUBLE_PRECISION "Use double-precision math." ON)
endif()

find_package(OpenGL)
find_package(Threads)

set(CMAKE_REQUIRED_INCLUDES ${OPENGL_INCLUDE_DIR})
set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_THREAD_LIBS_INIT} ${OPENGL_LIBRARIES})

if(APPLE AND OPENGL_FOUND)
	set(HAVE_APPLE_OPENGL_FRAMEWORK ON)
endif()
check_include_files(alloca.h HAVE_ALLOCA_H)
check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_function_exists(isnan HAVE_ISNAN)
check_function_exists(isnanf HAVE_ISNANF)
check_include_files(malloc.h HAVE_MALLOC_H)
check_function_exists(pthread_attr_setstacklazy HAVE_PTHREAD_ATTR_SETSTACKLAZY)
check_function_exists(pthread_condattr_setclock HAVE_PTHREAD_CONDATTR_SETCLOCK)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_function_exists(_isnan HAVE__ISNAN)
check_function_exists(_isnanf HAVE__ISNANF)
check_function_exists(__isnan HAVE___ISNAN)
check_function_exists(__isnanf HAVE___ISNANF)
if(APPLE)
	set(MAC_OS_X_VERSION 1000)
	check_function_exists(OSAtomicAdd32Barrier MAC_OS_X_VERSION_1040)
	if(MAC_OS_X_VERSION_1040)
		set(MAC_OS_X_VERSION 1040)
	endif()
	check_function_exists(OSAtomicAnd32OrigBarrier MAC_OS_X_VERSION_1050)
	if(MAC_OS_X_VERSION_1050)
		set(MAC_OS_X_VERSION 1050)
	endif()
endif()
if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686.*|x86.*|x86_64.*|amd64.*|AMD64.*")
	set(PENTIUM ON)
endif()
if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64.*|amd64.*|AMD64.*")
	set(X86_64_SYSTEM ON)
endif()
if(ODE_WITH_OU)
	set(_OU_FEATURE_SET _OU_FEATURE_SET_TLS)
elseif(NOT ODE_NO_THREADING_INTF)
	set(_OU_FEATURE_SET _OU_FEATURE_SET_ATOMICS)
else()
	set(_OU_FEATURE_SET _OU_FEATURE_SET_BASICS)
endif()
set(_OU_NAMESPACE odeou)
if(WIN32 OR CYGWIN)
	set(_OU_TARGET_OS _OU_TARGET_OS_WINDOWS)
elseif(APPLE)
	set(_OU_TARGET_OS _OU_TARGET_OS_MAC)
elseif(QNXNTO)
	set(_OU_TARGET_OS _OU_TARGET_OS_QNX)
elseif(CMAKE_SYSTEM MATCHES "SunOS-4")
	set(_OU_TARGET_OS _OU_TARGET_OS_SUNOS)
else()
	set(_OU_TARGET_OS _OU_TARGET_OS_GENUNIX)
endif()

configure_file(config.h.cmake.in ode/src/config.h)

if(ODE_DOUBLE_PRECISION)
	set(CCD_PRECISION CCD_DOUBLE)
	set(ODE_PRECISION dDOUBLE)
else()
	set(CCD_PRECISION CCD_SINGLE)
	set(ODE_PRECISION dSINGLE)
endif()

configure_file(libccd/src/ccd/precision.h.in include/ccd/precision.h)
configure_file(include/ode/precision.h.in include/ode/precision.h)

set(ODE_VERSION ${VERSION})

configure_file(include/ode/version.h.in include/ode/version.h)

set(
	HDRS
	include/ode/collision.h
	include/ode/collision_space.h
	include/ode/collision_trimesh.h
	include/ode/common.h
	include/ode/compatibility.h
	include/ode/contact.h
	include/ode/cooperative.h
	include/ode/error.h
	include/ode/export-dif.h
	include/ode/mass.h
	include/ode/matrix.h
	include/ode/matrix_coop.h
	include/ode/memory.h
	include/ode/misc.h
	include/ode/objects.h
	include/ode/ode.h
	include/ode/odeconfig.h
	include/ode/odecpp.h
	include/ode/odecpp_collision.h
	include/ode/odeinit.h
	include/ode/odemath.h
	include/ode/odemath_legacy.h
	include/ode/rotation.h
	include/ode/threading.h
	include/ode/threading_impl.h
	include/ode/timer.h
	${CMAKE_CURRENT_BINARY_DIR}/include/ode/precision.h
	${CMAKE_CURRENT_BINARY_DIR}/include/ode/version.h
)

set(
	SRCS
	ode/src/array.cpp
	ode/src/array.h
	ode/src/box.cpp
	ode/src/capsule.cpp
	ode/src/collision_cylinder_box.cpp
	ode/src/collision_cylinder_plane.cpp
	ode/src/collision_cylinder_sphere.cpp
	ode/src/collision_kernel.cpp
	ode/src/collision_kernel.h
	ode/src/collision_quadtreespace.cpp
	ode/src/collision_sapspace.cpp
	ode/src/collision_space.cpp
	ode/src/collision_space_internal.h
	ode/src/collision_std.h
	ode/src/collision_transform.cpp
	ode/src/collision_transform.h
	ode/src/collision_trimesh_colliders.h
	ode/src/collision_trimesh_disabled.cpp
	ode/src/collision_trimesh_gimpact.h
	ode/src/collision_trimesh_internal.h
	ode/src/collision_trimesh_opcode.h
	ode/src/collision_util.cpp
	ode/src/collision_util.h
	ode/src/common.h
	ode/src/convex.cpp
	ode/src/coop_matrix_types.h
	ode/src/cylinder.cpp
	ode/src/default_threading.cpp
	ode/src/default_threading.h
	ode/src/error.cpp
	ode/src/error.h
	ode/src/export-dif.cpp
	ode/src/fastdot.cpp
	ode/src/fastdot_impl.h
	ode/src/fastldltfactor.cpp
	ode/src/fastldltfactor_impl.h
	ode/src/fastldltsolve.cpp
	ode/src/fastldltsolve_impl.h
	ode/src/fastlsolve.cpp
	ode/src/fastlsolve_impl.h
	ode/src/fastltsolve.cpp
	ode/src/fastltsolve_impl.h
	ode/src/fastvecscale.cpp
	ode/src/fastvecscale_impl.h
	ode/src/heightfield.cpp
	ode/src/heightfield.h
	ode/src/lcp.cpp
	ode/src/lcp.h
	ode/src/mass.cpp
	ode/src/mat.cpp
	ode/src/mat.h
	ode/src/matrix.cpp
	ode/src/matrix.h
	ode/src/memory.cpp
	ode/src/misc.cpp
	ode/src/nextafterf.c
	ode/src/objects.cpp
	ode/src/objects.h
	ode/src/obstack.cpp
	ode/src/obstack.h
	ode/src/ode.cpp
	ode/src/odeinit.cpp
	ode/src/odemath.cpp
	ode/src/odemath.h
	ode/src/odeou.h
	ode/src/odetls.h
	ode/src/plane.cpp
	ode/src/quickstep.cpp
	ode/src/quickstep.h
	ode/src/ray.cpp
	ode/src/resource_control.cpp
	ode/src/resource_control.h
	ode/src/rotation.cpp
	ode/src/simple_cooperative.cpp
	ode/src/simple_cooperative.h
	ode/src/sphere.cpp
	ode/src/step.cpp
	ode/src/step.h
	ode/src/threaded_solver_ldlt.h
	ode/src/threading_atomics_provs.h
	ode/src/threading_base.cpp
	ode/src/threading_base.h
	ode/src/threading_fake_sync.h
	ode/src/threading_impl.cpp
	ode/src/threading_impl.h
	ode/src/threading_impl_posix.h
	ode/src/threading_impl_templates.h
	ode/src/threading_impl_win.h
	ode/src/threading_pool_posix.cpp
	ode/src/threading_pool_win.cpp
	ode/src/threadingutils.h
	ode/src/timer.cpp
	ode/src/typedefs.h
	ode/src/util.cpp
	ode/src/util.h
	ode/src/joints/amotor.cpp
	ode/src/joints/amotor.h
	ode/src/joints/ball.cpp
	ode/src/joints/ball.h
	ode/src/joints/contact.cpp
	ode/src/joints/contact.h
	ode/src/joints/dball.cpp
	ode/src/joints/dball.h
	ode/src/joints/dhinge.cpp
	ode/src/joints/dhinge.h
	ode/src/joints/fixed.cpp
	ode/src/joints/fixed.h
	ode/src/joints/hinge.cpp
	ode/src/joints/hinge.h
	ode/src/joints/hinge2.cpp
	ode/src/joints/hinge2.h
	ode/src/joints/joint.cpp
	ode/src/joints/joint.h
	ode/src/joints/joint_internal.h
	ode/src/joints/joints.h
	ode/src/joints/lmotor.cpp
	ode/src/joints/lmotor.h
	ode/src/joints/null.cpp
	ode/src/joints/null.h
	ode/src/joints/piston.cpp
	ode/src/joints/piston.h
	ode/src/joints/plane2d.cpp
	ode/src/joints/plane2d.h
	ode/src/joints/pr.cpp
	ode/src/joints/pr.h
	ode/src/joints/pu.cpp
	ode/src/joints/pu.h
	ode/src/joints/slider.cpp
	ode/src/joints/slider.h
	ode/src/joints/transmission.cpp
	ode/src/joints/transmission.h
	ode/src/joints/universal.cpp
	ode/src/joints/universal.h
)

if(ODE_WITH_GIMPACT AND NOT ODE_NO_TRIMESH)
	list(
		APPEND SRCS
		GIMPACT/src/gim_boxpruning.cpp
		GIMPACT/src/gim_contact.cpp
		GIMPACT/src/gim_math.cpp
		GIMPACT/src/gim_memory.cpp
		GIMPACT/src/gim_tri_tri_overlap.cpp
		GIMPACT/src/gim_trimesh.cpp
		GIMPACT/src/gim_trimesh_capsule_collision.cpp
		GIMPACT/src/gim_trimesh_ray_collision.cpp
		GIMPACT/src/gim_trimesh_sphere_collision.cpp
		GIMPACT/src/gim_trimesh_trimesh_collision.cpp
		GIMPACT/src/gimpact.cpp
		ode/src/collision_convex_trimesh.cpp
		ode/src/collision_cylinder_trimesh.cpp
		ode/src/collision_trimesh_box.cpp
		ode/src/collision_trimesh_ccylinder.cpp
		ode/src/collision_trimesh_gimpact.cpp
		ode/src/collision_trimesh_internal.cpp
		ode/src/collision_trimesh_internal_impl.h
		ode/src/collision_trimesh_internal.h
		ode/src/collision_trimesh_plane.cpp
		ode/src/collision_trimesh_ray.cpp
		ode/src/collision_trimesh_sphere.cpp
		ode/src/collision_trimesh_trimesh.cpp
		ode/src/gimpact_contact_export_helper.cpp
		ode/src/gimpact_contact_export_helper.h
		ode/src/gimpact_gim_contact_accessor.h
		ode/src/gimpact_plane_contact_accessor.h
	)
endif()

if(ODE_WITH_LIBCCD)
	if(NOT ODE_WITH_LIBCCD_SYSTEM)
		list(
			APPEND SRCS
			libccd/src/alloc.c
			libccd/src/ccd.c
			libccd/src/mpr.c
			libccd/src/polytope.c
			libccd/src/support.c
			libccd/src/vec3.c
			libccd/src/ccd/alloc.h
			libccd/src/ccd/ccd.h
			libccd/src/ccd/compiler.h
			libccd/src/ccd/dbg.h
			libccd/src/ccd/list.h
			libccd/src/ccd/quat.h
			libccd/src/ccd/polytope.h
			libccd/src/ccd/simplex.h
			libccd/src/ccd/support.h
			libccd/src/ccd/vec3.h
			libccd/src/custom/ccdcustom/quat.h
			libccd/src/custom/ccdcustom/vec3.h
		)
	endif()
	
	list(
		APPEND SRCS
		ode/src/collision_libccd.cpp
		ode/src/collision_libccd.h
	)
endif()

if(ODE_WITH_OPCODE AND NOT ODE_NO_TRIMESH)
	list(
		APPEND SRCS
		ode/src/collision_convex_trimesh.cpp
		ode/src/collision_cylinder_trimesh.cpp
		ode/src/collision_trimesh_box.cpp
		ode/src/collision_trimesh_ccylinder.cpp
		ode/src/collision_trimesh_internal.cpp
		ode/src/collision_trimesh_internal_impl.h
		ode/src/collision_trimesh_internal.h
		ode/src/collision_trimesh_opcode.cpp
		ode/src/collision_trimesh_plane.cpp
		ode/src/collision_trimesh_ray.cpp
		ode/src/collision_trimesh_sphere.cpp
		ode/src/collision_trimesh_trimesh.cpp
		ode/src/collision_trimesh_trimesh_old.cpp
		OPCODE/OPC_AABBCollider.cpp
		OPCODE/OPC_AABBCollider.h
		OPCODE/OPC_AABBTree.cpp
		OPCODE/OPC_AABBTree.h
		OPCODE/OPC_BaseModel.cpp
		OPCODE/OPC_BaseModel.h
		OPCODE/OPC_BoxBoxOverlap.h
		OPCODE/OPC_Collider.cpp
		OPCODE/OPC_Collider.h
		OPCODE/OPC_Common.cpp
		OPCODE/OPC_Common.h
		OPCODE/OPC_HybridModel.cpp
		OPCODE/OPC_HybridModel.h
		OPCODE/OPC_IceHook.h
		OPCODE/OPC_LSSAABBOverlap.h
		OPCODE/OPC_LSSCollider.cpp
		OPCODE/OPC_LSSCollider.h
		OPCODE/OPC_LSSTriOverlap.h
		OPCODE/OPC_MeshInterface.cpp
		OPCODE/OPC_MeshInterface.h
		OPCODE/OPC_Model.cpp
		OPCODE/OPC_Model.h

=== debian/changelog ===
ode (2:0.16-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:23 +0100

ode (2:0.16-3) unstable; urgency=medium

  * Applied patches from upstream to fix build failures in some archs.
    Added __sparc__ define (Thanks jrtc27 in #debian-mentors).
  * Revert disable autotest in some archs.
  * Add pkg-config build dependencies to detect libccd.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 13 Jan 2019 13:46:29 +0100

ode (2:0.16-2) unstable; urgency=medium

  * Disable autotest in some arch because they crash.
  * Added a missing license.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 13 Jan 2019 01:39:46 +0100

ode (2:0.16-1) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to libode8.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 11 Jan 2019 19:36:13 +0100

ode (2:0.16-1~exp1) experimental; urgency=medium

  * New upstream version

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 08 Jan 2019 11:35:49 +0100

=== debian/control ===
Source: ode
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bddebian@comcast.net>,
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11~), docbook-to-man,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
 libccd-dev, pkg-config
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/games-team/ode
Vcs-Git: https://salsa.debian.org/games-team/ode.git
Homepage: http://www.ode.org/

Package: libode8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries built with double precision,
 default in 64 bits platforms. In 32 bits platforms default is single
 precision.

Package: libode-dev
Section: libdevel
Architecture: any
Depends: libode8 (= ${binary:Version}), ${misc:Depends}
Conflicts: libode0-dev,
	   libode-sp-dev,
           libode4-dev,
	   libode6-dev
Replaces: libode0-dev
Provides: libode8-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 double precision, default in 64 bits platforms. In 32 bits platforms
 default is single precision.

=== debian/watch ===
version=3

https://bitbucket.org/odedevs/ode/downloads/ode-(.*)\.tar\.gz

## ode 0.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 16)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 2)
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_SHARED_LIBS "Build shared libraries." ON)

=== debian/changelog ===
ode (2:0.16.2-1) unstable; urgency=medium

  * New upstream version. Fix some issues by upstream.
  * Update watch file standard. No changes.
  * Update Standards and debhelper-compat. No changes.
  * Added R³ rule.
  * Rebase patches. Applied by upstream.
  * Added not-installed file to manage libode.la file.
  * Drop debian/patches reference.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2020 16:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bddebian@comcast.net>,
 	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11~), docbook-to-man,
+Build-Depends: debhelper-compat (= 13), docbook-to-man,
  libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
  libccd-dev, pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/ode
 Vcs-Git: https://salsa.debian.org/games-team/ode.git
 Homepage: http://www.ode.org/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armel mips mipsel))
	CONFIG_OPTS = --enable-single-precision
else
	CONFIG_OPTS = --enable-double-precision
endif

CONFIG_OPTS += 	--mandir=/usr/share/man \
                --with-libccd=system \
                --enable-libccd \
                --enable-shared \
                --enable-static

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_OPTS)

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/ode-config.man.sgml > debian/ode-config.1

## ode 0.16.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,33 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 2.8.12)
+
+if(POLICY CMP0042)
+	cmake_policy(SET CMP0042 NEW)
+endif()
+
+if(POLICY CMP0072)
+	cmake_policy(SET CMP0072 NEW)
+endif()
+
+if(POLICY CMP0075)
+	cmake_policy(SET CMP0075 NEW)
+endif()
 
 project(ODE)
 
 include(CheckFunctionExists)
 include(CheckIncludeFiles)
 include(CMakeDependentOption)
+include(CMakePushCheckState)
 include(GNUInstallDirs)
+
+set(SOVERSION_MAJOR 8)
+set(SOVERSION_MINOR 2)
+set(SOVERSION_PATCH 0)
+set(SOVERSION ${SOVERSION_MAJOR}.${SOVERSION_MINOR}.${SOVERSION_PATCH})
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 16)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 6)
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_SHARED_LIBS "Build shared libraries." ON)
@@ -23,6 +41,8 @@
 option(ODE_WITH_OPCODE "Use old OPCODE trimesh-trimesh collider." ON)
 option(ODE_WITH_OU "Use TLS for global caches (allows threaded collision checks for separated spaces)." OFF)
 option(ODE_WITH_TESTS "Builds the unit test application." ON)
+option(ODE_WIN32_LIB_OUTPUT_NAME_BASED_ON_FLOAT_SIZE "The output name of the library will be based on the size of float, on Windows." ON)
+option(ODE_WIN32_INSTALL_STATIC_LIBS_PDB "Install the PDB files for the static libraries (.lib) on Windows." OFF)
 
 cmake_dependent_option(ODE_WITH_LIBCCD_BOX_CYL "Use libccd for box-cylinder." ON "ODE_WITH_LIBCCD" OFF)
 cmake_dependent_option(ODE_WITH_LIBCCD_CAP_CYL "Use libccd for capsule-cylinder." ON "ODE_WITH_LIBCCD" OFF)
@@ -40,14 +60,26 @@
 	option(ODE_DOUBLE_PRECISION "Use double-precision math." ON)
 endif()
 
-find_package(OpenGL)
-find_package(Threads)
-
-set(CMAKE_REQUIRED_INCLUDES ${OPENGL_INCLUDE_DIR})
-set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_THREAD_LIBS_INIT} ${OPENGL_LIBRARIES})
-
-if(APPLE AND OPENGL_FOUND)
-	set(HAVE_APPLE_OPENGL_FRAMEWORK ON)
+set(ODE_WIN32_STATIC_LIB_POSTFIX_DEBUG "sd" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in DEBUG.")
+set(ODE_WIN32_STATIC_LIB_POSTFIX_MINSIZEREL "s" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in MINSIZEREL.")
+set(ODE_WIN32_STATIC_LIB_POSTFIX_RELEASE "s" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in RELEASE.")
+set(ODE_WIN32_STATIC_LIB_POSTFIX_RELWITHDEBINFO "s" CACHE STRING "The postfix to use when building the library as a static .lib on Windows in RELWITHDEBINFO.")
+
+cmake_push_check_state(RESET)
+
+if(ODE_WITH_DEMOS)
+	find_package(OpenGL REQUIRED)
+	list(APPEND CMAKE_REQUIRED_INCLUDES ${OPENGL_INCLUDE_DIR})
+	list(APPEND CMAKE_REQUIRED_LIBRARIES ${OPENGL_LIBRARIES})
+endif()
+
+if(ODE_WITH_OU OR NOT ODE_NO_THREADING_INTF)
+	find_package(Threads REQUIRED)
+	list(APPEND CMAKE_REQUIRED_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
+endif()
+
+if(APPLE)
+	check_include_files("OpenGL/gl.h;OpenGL/glu.h" HAVE_APPLE_OPENGL_FRAMEWORK)
 endif()
 check_include_files(alloca.h HAVE_ALLOCA_H)
 check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
@@ -101,6 +133,8 @@
 else()
 	set(_OU_TARGET_OS _OU_TARGET_OS_GENUNIX)
 endif()
+
+cmake_pop_check_state()
 
 configure_file(config.h.cmake.in ode/src/config.h)
 
@@ -338,56 +372,3 @@
 			libccd/src/ccd/list.h
 			libccd/src/ccd/quat.h
 			libccd/src/ccd/polytope.h
-			libccd/src/ccd/simplex.h
-			libccd/src/ccd/support.h
-			libccd/src/ccd/vec3.h
-			libccd/src/custom/ccdcustom/quat.h
-			libccd/src/custom/ccdcustom/vec3.h
-		)
-	endif()
-	
-	list(
-		APPEND SRCS
-		ode/src/collision_libccd.cpp
-		ode/src/collision_libccd.h
-	)
-endif()
-
-if(ODE_WITH_OPCODE AND NOT ODE_NO_TRIMESH)
-	list(
-		APPEND SRCS
-		ode/src/collision_convex_trimesh.cpp
-		ode/src/collision_cylinder_trimesh.cpp
-		ode/src/collision_trimesh_box.cpp
-		ode/src/collision_trimesh_ccylinder.cpp
-		ode/src/collision_trimesh_internal.cpp
-		ode/src/collision_trimesh_internal_impl.h
-		ode/src/collision_trimesh_internal.h
-		ode/src/collision_trimesh_opcode.cpp
-		ode/src/collision_trimesh_plane.cpp
-		ode/src/collision_trimesh_ray.cpp
-		ode/src/collision_trimesh_sphere.cpp
-		ode/src/collision_trimesh_trimesh.cpp
-		ode/src/collision_trimesh_trimesh_old.cpp
-		OPCODE/OPC_AABBCollider.cpp
-		OPCODE/OPC_AABBCollider.h
-		OPCODE/OPC_AABBTree.cpp
-		OPCODE/OPC_AABBTree.h
-		OPCODE/OPC_BaseModel.cpp
-		OPCODE/OPC_BaseModel.h
-		OPCODE/OPC_BoxBoxOverlap.h
-		OPCODE/OPC_Collider.cpp
-		OPCODE/OPC_Collider.h
-		OPCODE/OPC_Common.cpp
-		OPCODE/OPC_Common.h
-		OPCODE/OPC_HybridModel.cpp
-		OPCODE/OPC_HybridModel.h
-		OPCODE/OPC_IceHook.h
-		OPCODE/OPC_LSSAABBOverlap.h
-		OPCODE/OPC_LSSCollider.cpp
-		OPCODE/OPC_LSSCollider.h
-		OPCODE/OPC_LSSTriOverlap.h
-		OPCODE/OPC_MeshInterface.cpp
-		OPCODE/OPC_MeshInterface.h
-		OPCODE/OPC_Model.cpp
-		OPCODE/OPC_Model.h

=== debian/changelog ===
ode (2:0.16.6-2) unstable; urgency=medium

  * Enable --with-box-cylinder=default.
  * Update Readme.Debian.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 07 Feb 2025 16:58:17 +0100

ode (2:0.16.6-1) unstable; urgency=medium

  * New upstream version 0.16.6.
  * Removed patchs. Applied by upstream.
  * Update obsolete package in build depends.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 28 Jan 2025 12:02:58 +0100

ode (2:0.16.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Ack previous NMU, thanks!

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.

  [ Phil Morrell ]
  * debian/copyright: use spaces rather than tabs

  [ JiaLing Zhang <zhangjialing@loongson.cn> ]
  * add loongarch64 support Closes: #1052603

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:00:48 +0100

ode (2:0.16.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063228

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:44:13 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bddebian@comcast.net>,
 	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), docbook-to-man,
- libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
- libccd-dev, pkg-config
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), docbook-to-man,
+ libglu1-mesa-dev | libglu-dev, libgl-dev,
+ libccd-dev, pkgconf
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/ode
 Vcs-Git: https://salsa.debian.org/games-team/ode.git
-Homepage: http://www.ode.org/
+Homepage: https://www.ode.org/
 
-Package: libode8
+Package: libode8t64
+Provides: ${t64:Provides}
+Replaces: libode8
+Breaks: libode8 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,7 +35,7 @@
 Package: libode-dev
 Section: libdevel
 Architecture: any
-Depends: libode8 (= ${binary:Version}), ${misc:Depends}
+Depends: libode8t64 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libode0-dev,
 	   libode-sp-dev,
            libode4-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
                 --with-libccd=system \
                 --enable-libccd \
                 --enable-shared \
-                --enable-static
+                --enable-static \
+		--with-box-cylinder=default
 
 %:
 	dh $@
